%define name	digikamimageplugins
%define version 0.7.2
%define release 1mdk

Summary: 		Digikam Plugins package
Name: 			%name
Version: 		%version
Release: 		%release
Source: 		digikamimageplugins-%{version}.tar.bz2
Group: 			Graphics
License: 		GPL
URL: 			http://digikam.sourceforge.net/
Requires: 		digikam
BuildRequires:          digikam >= 0.7.2, MesaGLU-devel
Requires:		ImageMagick >= 5.5.4
Requires:		mjpegtools >= 1.6.0
Requires:		dcraw
# "Obsoletes:/Provides: digikam-plugins" does not work here, as it causes a
# conflict with kipi-plugins.
Conflicts:		digikam-plugins
Buildrequires:		libdigikam-devel automake1.7 autoconf2.5
BuildRoot: 		%_tmppath/%{name}-%{version}-buildroot

Patch1:			digikamimageplugins-0.7.1-fix-compile.patch.bz2

%description

Digikam is a fine KDE interface for digital photo management.  It is
designed to be a standalone application to preview, download,
organize, and present images from a digital camera on a linux machine.

This package contains several plug-ins to enhance Digikam's
functionality.

The plugins included in this package are:

adjustlevels
charcoal
despeckle
emboss
filmgrain
oilpaint
raindrop
solarize
unsharp

%prep 

%setup -q -n digikamimageplugins-%{version}
#%patch1 -p1 -b .fix_compile

rm -rf "$RPM_BUILD_ROOT"

%build -n digikamimageplugins-%{version}
export QTDIR=%_prefix/lib/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/%{_lib}:$KDEDIR/%{_lib}:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH
export WANT_AUTOCONF_2_5=1

#make -f Makefile.cvs

CFLAGS="%optflags" CXXFLAGS="%optflags" \
        ./configure --prefix=%_prefix \
        --enable-mt \
        --with-qt-dir=$QTDIR --with-qt-libraries=$QTDIR/%{_lib} \
	--mandir=%_datadir/man \
        --disable-debug --disable-rpath --libdir=%_libdir

%make

%install
make DESTDIR=%buildroot install

%find_lang digikamplugin --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f digikamplugin.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL README
%doc TODO

%dir %_datadir/apps/digikam/
%_datadir/apps/digikam/*.rc
%dir %_datadir/apps/digikam/icons/
%dir %_datadir/apps/digikam/icons/hicolor/
%dir %_datadir/apps/digikam/icons/hicolor/32x32/
%dir %_datadir/apps/digikam/icons/hicolor/32x32/actions/
%_datadir/apps/digikam/icons/hicolor/32x32/actions/*.png

%_datadir/apps/digikamimageplugins
%_datadir/icons/hicolor/32x32/*/*.png
%_datadir/services/*
%_docdir/HTML/*/digikamimageplugins
%_libdir/kde3/*

%changelog
* Thu Mar 03 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7.2-1mdk
- 0.7.2

* Wed Feb 09 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7.2-0.beta1.1mdk
- 0.7.2-beta1

* Tue Jan 04 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7.1-1mdk
- 0.7.1

* Fri Dec 17 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7.1-0.beta1.1mdk
- 0.7.1-beta1

* Wed Nov 10 2004 Till Kamppeter <till@mandrakesoft.com> 0.7.0-1mdk
- Updated plug-ins package for digikam to 0.7.0, The name of the package is
  "digikamimagepluginss" now. "digikam-plugins" is obsolete.

* Tue Oct 19 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.6.2-4mdk
- lib64 fixes

* Mon Aug 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.2-3mdk
- Rebuild

* Mon Aug 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.2-2mdk
- Fix requires

* Mon Jul 26 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.2-1mdk
- 0.6.2
- Add patch1: fix compile

* Tue May 18 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.2-0.rc1.1mdk
- 0.6.2-rc1

* Fri May 14 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.6.1-2mdk
- adjust buildrequires

* Thu May 06 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.6.1-1mdk
- 0.6.1

* Thu Jan 29 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.6.0-1mdk
- user find lang macro
- from Arnaud de Villele <arnorpm@free.fr> :
	- Original release
